Subject: Re: can't redirect git's progress output (stderr)

From: Torsten Bögershausen <[email-masked]>
Date: Mon, 01 Nov 2010 21:38:10 +0100

Try
git clone git://your.favourite/git/repo > file2 2>&1
/Torsten

On 01.11.10 13:40, Delan Azabani wrote:

> Hi all,
>
> I'm writing a URI handler for git that uses bash/zenity to allow the
> user to clone a git repository when a git:// link is clicked in a browser.
>
> I'm having a bit of trouble getting git's output into zenity, however.
> git outputs its progress messages (everything except the "Initializing"
> message) on stderr, which shouldn't be a problem. Something weird has
> happened though; the moment I try to pipe git's stderr to stdout or a
> file, it disappears.
>
> A simple way to test this:
>
> git clone git://your.favourite/git/repo 2>  file1
> git clone git://your.favourite/git/repo 2>&1>  file2
>
> file1 will be empty (why?) and file2 will contain only the
> "Initializing" message, which came from stdout.
>
> TL;DR why can't I pipe git's stderr output?
>
> Help would be greatly appreciated; thanks in advance.
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html